ASG
IBM
Zystems
Cressida
Icon
Netflexity
 
  MQSeries.net
Search  Search       Tech Exchange      Education      Certifications      Library      Info Center      SupportPacs      LinkedIn  Search  Search                                                                   FAQ  FAQ   Usergroups  Usergroups
 
Register  ::  Log in Log in to check your private messages
 
RSS Feed - WebSphere MQ Support RSS Feed - Message Broker Support

MQSeries.net Forum IndexIBM MQ Installation/Configuration SupportQload utility not working after multi installations

Post new topicReply to topic
Qload utility not working after multi installations View previous topic :: View next topic
Author Message
Raje
PostPosted: Wed Oct 04, 2017 9:29 am Post subject: Qload utility not working after multi installations Reply with quote

Newbie

Joined: 04 Oct 2017
Posts: 5

Qload utility not working after multi installations.

On AIX server previously I have installed MQ 7.0.1.12 on /usr/mqm path and currently I have installed MQ 7.5.0.7 on /usr/mqm75/usr/mqm path.

Post installation qload command is not work with MQ 7.5.0.7 installation. It work with
MQ 7.0.1.12 installations.

Please provide better suggestion so I can use qload command on MQ 7.5.0.7 installation.
Back to top
View user's profile Send private message Send e-mail
Vitor
PostPosted: Wed Oct 04, 2017 9:53 am Post subject: Reply with quote

Grand High Poobah

Joined: 11 Nov 2005
Posts: 24614
Location: Ohio, USA

Have you properly followed all the steps for installation (and co-existence if you have both versions on the same machine) including properly setting up the command shell in which qload is running?

What exactly is the error? "command is not work" is not exactly packed with detailed or useful information.
_________________
Honesty is the best policy.
Insanity is the best defence.
Back to top
View user's profile Send private message
exerk
PostPosted: Wed Oct 04, 2017 9:55 am Post subject: Reply with quote

Jedi Council

Joined: 02 Nov 2006
Posts: 5749

What command did you issue, and from which path? Please post the result of dspmqver -i.
_________________
It's puzzling, I don't think I've ever seen anything quite like this before...and it's hard to soar like an eagle when you're surrounded by turkeys.

Back to top
View user's profile Send private message
Raje
PostPosted: Wed Oct 04, 2017 7:32 pm Post subject: Reply with quote

Newbie

Joined: 04 Oct 2017
Posts: 5

Yes, We have followed all the steps correctly during multi installation. Yes one queue manager is running on older version and another queue manager is running on higher queue managers on the same machine.

Post multi installation QLOAD uitlity is not working on MQ 7.5.0.7 but is it working fine on MQ 7.0.1.12.
We are getting below error whenever we fire qload command on MQ 7.5.0.7 installation,

[mqm@HEIMBRKD01:/var/mqm]$ ./qload -m QMEIMPESA -I TEMP -o TEMP1
QLOAD Program by Paul Clarke [ V1.6 Build:Jul 12 2008 ]
MQCONN on object 'QMEIMPESA' returned 2059 QMgr not available..

Even queue manager is present and it is in Running state.

@exerk:- Please find the o/p of dspmqver -i

[esbadmin@HEIMBRKP08:/home/esbadmin]$ dspmqver -i
Name: WebSphere MQ
Version: 7.5.0.7
Level: p750-007-160812
BuildType: IKAP - (Production)
Platform: WebSphere MQ for AIX
Mode: 64-bit
O/S: AIX 6.1
InstName: Installation1
InstDesc:
Primary: No
InstPath: /usr/mqm75/usr/mqm
DataPath: /var/mqm
MaxCmdLevel: 750
LicenseType: Production

Name: WebSphere MQ
Version: 7.0.1.12
InstName: Installation0
InstDesc: IBM WebSphere MQ Installation
InstPath: /usr/mqm
Primary: Yes

Let me know if you require more information
Back to top
View user's profile Send private message Send e-mail
PaulClarke
PostPosted: Wed Oct 04, 2017 8:10 pm Post subject: Reply with quote

Sentinel

Joined: 17 Nov 2005
Posts: 861
Location: New Zealand

This is a very old version of QLOAD but I would still expect it to work. The main downside of such an old version, when it comes to multi-install anyway, is that this version will not pay attention to the setmqenv setting. However, as I say, it should be OK.

Normally in these circumstances you would get an error like 'DLL not found' or 'environment error'. The fact that you get Queue Manager not available seems odd - unless, of course, the Queue Manager really isn't running.....but I assume you've checked that

What happens if you try and run the sample programs like AMQSPUT and AMQSGET ?

Cheers,

Paul.
_________________
Paul Clarke
MQGem Software
www.mqgem.com
Back to top
View user's profile Send private message Visit poster's website
zpat
PostPosted: Thu Oct 05, 2017 12:19 am Post subject: Reply with quote

Jedi Council

Joined: 19 May 2001
Posts: 5559
Location: UK

The most obvious difference is that 7.0.1.12 is set as the primary.

Try using this before qload
Code:
. setmqenv -n Installation1


If that fails - can you switch the 7.5 install to being primary?
_________________
Well, I don't think there is any question about it. It can only be attributable to human error. This sort of thing has cropped up before, and it has always been due to human error.
Back to top
View user's profile Send private message
exerk
PostPosted: Thu Oct 05, 2017 1:10 am Post subject: Reply with quote

Jedi Council

Joined: 02 Nov 2006
Posts: 5749

zpat wrote:
...If that fails - can you switch the 7.5 install to being primary?

The documentation clearly states that a V7.0.x.x installation will ALWAYS be Primary, therefore it would need de-installing to change another installation to Primary.

As regards setting the environment first, Paul has stated that the QLOAD version being used will not honour it.
_________________
It's puzzling, I don't think I've ever seen anything quite like this before...and it's hard to soar like an eagle when you're surrounded by turkeys.

Back to top
View user's profile Send private message
zpat
PostPosted: Thu Oct 05, 2017 2:45 am Post subject: Reply with quote

Jedi Council

Joined: 19 May 2001
Posts: 5559
Location: UK

setmqenv does a few different things, I would always try it in a multi-install situation.

Mind you - why not at least use a later version of qload?
_________________
Well, I don't think there is any question about it. It can only be attributable to human error. This sort of thing has cropped up before, and it has always been due to human error.
Back to top
View user's profile Send private message
Display posts from previous:
Post new topicReply to topic Page 1 of 1

MQSeries.net Forum IndexIBM MQ Installation/Configuration SupportQload utility not working after multi installations
Jump to:



You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
Protected by Anti-Spam ACP


Theme by Dustin Baccetti
Powered by phpBB 2001, 2002 phpBB Group

Copyright MQSeries.net. All rights reserved.